Error: line 1: dlopen: cannot load any more object with static TLS

You may meet the error message “Error: line 1: dlopen: cannot load any more object with static TLS” when loading your own Maya plug-in.

How solve the problem:

1. Unload Bifrost plug-ins (bimeshio.so, bifrostshellnode.so, bifrostvisplugin.so) and XGen plug-in (xgenToolkit.so).

2. Load your plug-in.

Once you loaded your plug-in, you can load Bifrost and XGen plug-ins.

Tags:, ,

Add a Comment